%global packname  hgu95av2probe 
%global Rvers     2.10.0

Name:             R-%{packname}
Version:          2.6.0
Release:          1%{dist}
Summary:          Probe sequence data for microarrays of type hgu95av2
Summary(fr):      Données des primers de puces à ADN de type hgu92av2

Group:            Applications/Engineering 
License:          LGPLv2+
URL:              http://www.bioconductor.org/packages/release/data/annotation/html/hgu95av2probe.html
Source0:          http://www.bioconductor.org/packages/release/data/annotation/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch
Requires:         R-AnnotationDbi R-core >= %{Rvers}
BuildRequires:    R-devel >= %{Rvers} tex(latex) R-AnnotationDbi

%description
This package was automatically created by package matchprobes version 1.9.2. 
The probe sequence data was obtained from http://www.affymetrix.com. 
The file name was HG\_U95Av2\_probe\_tab.

%description -l fr
Ce fichier a été automatiquement crée par la version 1.9.2 du paquet
matchprobes; Les sequences ont été obtenues sur le site
http://www.affymetrix.com, et le fichier est nommé HG\_U95Av2\_probe\_tab

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
# Cyclic require with the package matchprobes
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
#i386 arch
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/help

%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION


%changelog
* Tue Jul 06 2010 pingou <pingou@pingoured.fr> 2.6.0-1
- Update to version 2.6.0
- Fix URL and source0 to a more stable format
- Remove R post and R postun

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 2.5.0-1
- Update to 2.5.0
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0
- Fix the BR to tex(latex)

* Wed Aug 05 2009 pingou <pingou@pingoured.fr> - 2.4.0-2
- Increase release number

* Wed Aug 05 2009 pingou <pingou@pingoured.fr> - 2.4.0-1
- Update to 2.4.0
- Add R and BR for R-AnnotationDbi
- Re-enable the check (circular dependency with matchprobes is not anymore)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 09 2008 Pingou <pingoufc4@yahoo.fr> 2.0.0-2
- Change the URL

* Mon Oct 08 2007 Pingou <pingoufc4@yahoo.fr> 2.0.0-1
- Update to bioconductor 2.1 

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.16.3-2
-Change in the license tag to fit the guidelines

* Tue Jul 17 2007 Pingou <pingoufc4@yahoo.fr> 1.16.3-1
- initial package for Fedora
